# network flavor

A network flavor extension allows the user selection of operator-curated flavors during resource creations. It allows administrators to create network service flavors.

Network v2

## network flavor add profile

Add a service profile to a network flavor

    openstack network flavor add profile <flavor> <service-profile>

flavor

  Network flavor (name or ID)

service-profile

  Service profile (ID only)

## network flavor create

Create new network flavor

    openstack network flavor create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        --service-type <service-type>
        [--description DESCRIPTION]
        [--project <project>]
        [--project-domain <project-domain>]
        [--enable | --disable]
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--service-type <service-type>

  Service type to which the flavor applies. For example: VPN (See openstack network service provider list for loaded examples.)

--description <DESCRIPTION>

  Description for the flavor

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--enable

  Enable the flavor (default)

--disable

  Disable the flavor

name

  Name for the flavor

## network flavor delete

Delete network flavors

    openstack network flavor delete <flavor> [<flavor> ...]

flavor

  Flavor(s) to delete (name or ID)

## network flavor list

List network flavors

    openstack network flavor list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## network flavor remove profile

Remove service profile from network flavor

    openstack network flavor remove profile <flavor> <service-profile>

flavor

  Network flavor (name or ID)

service-profile

  Service profile (ID only)

## network flavor set

Set network flavor properties

    openstack network flavor set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description DESCRIPTION]
        [--disable
        |
        --enable
        ]
        [--name <name>]
        <flavor>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <DESCRIPTION>

  Set network flavor description

--disable

  Disable network flavor

--enable

  Enable network flavor

--name <name>

  Set flavor name

flavor

  Flavor to update (name or ID)

## network flavor show

Display network flavor details

    openstack network flavor show <flavor>

flavor

  Flavor to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.